import { Component, inject } from '@angular/core';
import { ImpersonationComponent } from '../impersonation/impersonation.component';
import { MatCardModule } from '@angular/material/card';
import { ApiAuthenticationService } from '../../shared/services/api/api-authentication.service';
import { MatButtonModule } from '@angular/material/button';
import { HermesClientService } from '../../hermes-client.service';

@Component({
  selector: 'user-card',
  standalone: true,
  imports: [ImpersonationComponent, MatButtonModule, MatCardModule],
  templateUrl: './user-card.component.html',
  styleUrl: './user-card.component.scss'
})
export class UserCardComponent {
  auth = inject(ApiAuthenticationService);
  client = inject(HermesClientService);

  get isTTSLoggedIn() {
    return this.client.logged_in;
  }

  get username() {
    return this.auth.getUsername();
  }
}
