import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { Connection } from '../models/connection';
import { ConnectionService } from '../services/connection.service';

@Injectable({ providedIn: 'root' })
export default class ConnectionResolver implements Resolve<Connection[]> {
  constructor(private service: ConnectionService) { }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Connection[]> {
    return this.service.fetch();
  }
}